Projetos
Listar Projetos
Lista projetos da empresa relacionados à chave de acesso.
Query Parameters
apiKey*string
Chave de acesso da empresa. Encontrada na aba BI de Minha Empresa.
page*integer
Número da página (inicia em 1)
workspaceId?integer
ID do Workspace para filtro
createdFrom?string
Data de criação inicial (AAAA-MM-DD)
Format
datecreatedTo?string
Data de criação final (AAAA-MM-DD)
Format
dateResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.ekyte.com/v1.1/projects?apiKey=xxxxxxxxxxxxxxx&page=1"{
"error": null,
"data": [
{
"id": 0,
"name": "string",
"alias": "string",
"link": "string",
"workspaceId": 0,
"workspace": "string",
"startDate": "2019-08-24",
"endDate": "2019-08-24",
"plannedTasksCount": 0,
"accomplishedTasksCount": 0,
"plannedTasksTime": 0,
"accomplishedTasksTime": 0,
"plannedProjectTasksCount": 0,
"ctcTaskProjectTasksCount": 0,
"expectedEffort": 0,
"trend": 0,
"plannedManualBudget": 0,
"hourlyBudget": 0,
"plannedTotalEstimatedHourlyRate": 0,
"plannedTotalAccomplishedHourlyRate": 0,
"totalEstimatedExpense": 0,
"totalRealizedExpense": 0,
"unplannedProjectTasksCount": 0,
"situation": 0,
"createdById": "string",
"createdBy": "string",
"tags": "string",
"createdIn": "2019-08-24",
"planned": 0
}
],
"paging": {
"currentPage": {
"size": 0,
"number": 0
},
"totalCollectionSize": 0,
"totalPages": 0
}
}{
"error": {
"id": "string",
"message": "string",
"details": "string",
"code": "string"
},
"data": null
}{
"error": {
"id": "string",
"message": "string",
"details": "string",
"code": "string"
},
"data": null
}{
"error": {
"id": "string",
"message": "string",
"details": "string",
"code": "string"
},
"data": null
}